package com.ruoyi.system.service.other;

import com.ruoyi.system.domain.other.BsCommon;
import com.ruoyi.system.domain.other.BsCommonExample;
import com.ruoyi.system.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @author Cesar
 * @date ${cTime}
 * @desc BsCommonService接口
 */
public interface BsCommonService extends BaseService<BsCommon, BsCommonExample> {

    List<BsCommon> getWgdxList(String code);

    String getName(String code);

    String getCode(String name);

    List<BsCommon> getBsCommonMap();

    Map<String, String> getMapByCodes(List<String> codes);
}
